#
# spec file for package xine (Version 0.9.18)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  DirectFB SDL SDL-devel aalib aalib-devel alsa alsa-devel arts arts-devel audiofile bonobo-activation bonobo-activation-devel cdparanoia curl curl-devel esound esound-devel flac flac-devel gconf2 gconf2-devel glib glib-devel glib2 glib2-devel gnome-common gnome-mime-data gnome-vfs2 gnome-vfs2-devel gtk gtk-devel gtk2 gtk2-devel imlib imlib-devel libbonobo libbonobo-devel libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng-devel-packages libtiff libungif libvorbis libvorbis-devel libxml2 libxml2-devel linc linc-devel lirc openssl openssl-devel orbit2 orbit2-devel pkgconfig popt slang slang-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel DirectFB SDL SDL-devel XFree86-devel XFree86-libs aalib aalib-devel alsa alsa-devel arts arts-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel bzip2 cdparanoia cracklib curl curl-devel esound esound-devel flac flac-devel gcc gconf2 gconf2-devel gdbm gettext glib glib-devel glib2 glib2-devel gnome-common gnome-mime-data gnome-vfs2 gnome-vfs2-devel gtk gtk-devel gtk2 gtk2-devel imlib imlib-devel libbonobo libbonobo-devel libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libtiff libtool libungif libvorbis libvorbis-devel libxml2 libxml2-devel linc linc-devel lirc openssl openssl-devel orbit2 orbit2-devel perl pkgconfig popt popt-devel rpm slang slang-devel

Name:         xine
%define       DISTRIBUTABLE 1
Summary:      video player with plugins
Version:      0.9.18
Release:      139
License:      GPL, Other License(s), see package
Group:        Productivity/Multimedia/Video/Players
Source:       xine-lib-1-beta4.tar.bz2
%define       libversion 1.0.0
Source1:      xine-ui-%{version}.tar.bz2
Source2:      xine-ui-crippled.mpg
Source10:     README.SuSE
Patch:        xine-lib.diff
Patch1:       xine-ui.diff
Patch5:       xine-lib-disable-mrl-saving-security.diff
Patch9:       fix-spu.c.diff
Patch10:      XSA-2004-6.diff
Patch11:      XSA-2004-7.diff
URL:          http://xine.sourceforge.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%if %DISTRIBUTABLE
# MPEG4 and AC3 code inside. is this legal ? I do not know ...
NoSource:     0
%else
#%package patented
# these libs are possibly illegal and do not work without libdvdcss anyway
Summary:      video player with plugins
Group:        Productivity/Multimedia/Video/Players
Autoreqprov:  on
#%description patented
to build with DISTRIBUTABLE 0 to check for missing files.
package contains patented codecs ! DO NOT USE !
%endif

%description 
Xine is a video player with a graphical front-end that supports a large
number of file formats (i.e., VCD, MPEG2) using plug-ins. Several
plug-ins are included. Others can be post-installed. Supports stereo
sound using OSS and AC5.1 using Alsa.

This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.suse.de/en/private/products/suse_linux/i386/multimedia.html



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%package devel
Summary:      Xine plugin for unencrypted DVDs
Group:        Productivity/Multimedia/Video/Players
Autoreqprov:  on

%description devel
With this Xine plug-in, you can watch unencrypted DVDs using Xine. More
information about Xine plug-ins can be found at
http://xine.sourceforge.net/



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%package extra
Summary:      Xine plugin for unencrypted DVDs
Group:        Productivity/Multimedia/Video/Players
Autoreqprov:  on

%description extra
With this Xine plug-in, you can watch unencrypted DVDs using Xine. More
information about Xine plug-ins can be found at
http://xine.sourceforge.net/



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%prep
%setup -q -n xine-lib-1-beta4 -b 1
%patch
%patch5
%patch9
%patch10
%patch11
(cd ../xine-ui-%{version}
%patch1
)
libtoolize --force
aclocal -I m4
autoheader
automake -a
autoconf

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-xv-path=/usr/X11R6/%_lib \
	--enable-fpic \
	--with-w32-path=/usr/lib/win32
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
mv $RPM_BUILD_ROOT/usr/share/doc/xine $RPM_BUILD_ROOT%{_defaultdocdir}/xine
install -m 0644 %SOURCE10 COPYING AUTHORS \
           $RPM_BUILD_ROOT%{_defaultdocdir}/xine/
cd ../xine-ui-%{version}
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir
export CFLAGS="$RPM_OPT_FLAGS -L$RPM_BUILD_ROOT%_libdir -I$RPM_BUILD_ROOT/usr/include" 
export PATH="$RPM_BUILD_ROOT/usr/bin:$PATH"
libtoolize --force
aclocal -I m4 -I $RPM_BUILD_ROOT/usr/share/aclocal/
autoheader
automake -a
autoconf
./configure \
	--prefix=/usr/ \
	--mandir=%_mandir \
	--libdir=%_libdir
make
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/doc/xine-ui $RPM_BUILD_ROOT%{_defaultdocdir}/xine-ui
mv $RPM_BUILD_ROOT/usr/share/doc/xitk $RPM_BUILD_ROOT%{_defaultdocdir}/xitk
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applnk/Multimedia/
install -m 0644 $RPM_BUILD_ROOT/usr/share/xine/desktop/xine.desktop \
                $RPM_BUILD_ROOT/opt/kde3/share/applnk/Multimedia/
%if %DISTRIBUTABLE
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo.mpv
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files
%defattr(-,root,root)
%dir /usr/%_lib/xine
%dir /usr/%_lib/xine/plugins
%dir /usr/%_lib/xine/plugins/%libversion
%dir /usr/share/xine
%dir /usr/share/xine/libxine1
/usr/bin/fbxine
/usr/bin/xine
/usr/bin/xine-check
/usr/bin/xine-remote

%_defaultdocdir/xine

%_defaultdocdir/xine-ui
%_libdir/libxine.so.*
%_mandir/man*/*
%_mandir/*/man1/*
/usr/share/xine/desktop/xine.desktop
/opt/kde3/share/applnk/Multimedia/xine.desktop
/usr/share/xine/skins/xinetic
/usr/share/xine/skins/xine-ui_logo.mpv
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/pixmaps/*
%_libdir/xine/plugins/%libversion/post
%_libdir/xine/plugins/%libversion/vidix
#
# xine fonts
# cetus is a freeware font from http://www.fontfreak.com/authors/gregfonts.htm
#
/usr/share/xine/libxine1/fonts
#
# big plugin sorting
# these plugins do not have legal problems
#
%_libdir/xine/plugins/%libversion/xineplug_ao_out_alsa.*
%_libdir/xine/plugins/%libversion/xineplug_ao_out_arts.*
%_libdir/xine/plugins/%libversion/xineplug_ao_out_oss.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_dxr3.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_fb.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_none.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_syncfb.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_xshm.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_xv.*
%_libdir/xine/plugins/%libversion/xineplug_inp_dvb.*
%_libdir/xine/plugins/%libversion/xineplug_inp_dvd.*
%_libdir/xine/plugins/%libversion/xineplug_inp_v4l.*
%_libdir/xine/plugins/%libversion/xineplug_inp_file.*
%_libdir/xine/plugins/%libversion/xineplug_inp_http.*
%_libdir/xine/plugins/%libversion/xineplug_inp_net.*
%_libdir/xine/plugins/%libversion/xineplug_inp_pnm.*
%_libdir/xine/plugins/%libversion/xineplug_inp_cdda.*
%_libdir/xine/plugins/%libversion/xineplug_inp_stdin_fifo.*
%_libdir/xine/plugins/%libversion/xineplug_inp_rtsp.*
%_libdir/xine/plugins/%libversion/xineplug_inp_vcd.*
%_libdir/xine/plugins/%libversion/xineplug_decode_cinepak.*
%_libdir/xine/plugins/%libversion/xineplug_decode_idcinvideo.*
%_libdir/xine/plugins/%libversion/xineplug_decode_mpeg2.*
%_libdir/xine/plugins/%libversion/xineplug_decode_cyuv.*
%_libdir/xine/plugins/%libversion/xineplug_decode_msrle.*
%_libdir/xine/plugins/%libversion/xineplug_decode_rgb.*
%_libdir/xine/plugins/%libversion/xineplug_decode_roqaudio.*
%_libdir/xine/plugins/%libversion/xineplug_decode_roqvideo.*
%_libdir/xine/plugins/%libversion/xineplug_decode_vorbis.*
%_libdir/xine/plugins/%libversion/xineplug_decode_fli.*
%_libdir/xine/plugins/%libversion/xineplug_decode_adpcm.*
%_libdir/xine/plugins/%libversion/xineplug_decode_logpcm.*
%_libdir/xine/plugins/%libversion/xineplug_decode_yuv.*
%_libdir/xine/plugins/%libversion/xineplug_decode_lpcm.*
%_libdir/xine/plugins/%libversion/xineplug_decode_real.*
%_libdir/xine/plugins/%libversion/xineplug_decode_dts.*
%_libdir/xine/plugins/%libversion/xineplug_decode_qtrpza.*
%_libdir/xine/plugins/%libversion/xineplug_decode_real_audio.*
%_libdir/xine/plugins/%libversion/xineplug_decode_mad.*
%_libdir/xine/plugins/%libversion/xineplug_decode_qtsmc.*
%_libdir/xine/plugins/%libversion/xineplug_decode_qtrle.*
%_libdir/xine/plugins/%libversion/xineplug_decode_yuv_frames.*
%_libdir/xine/plugins/%libversion/xineplug_decode_dxr3_video.*
%_libdir/xine/plugins/%libversion/xineplug_decode_dxr3_spu.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_yuv_frames.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_yuv4mpeg2.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_real.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_audio.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_avi.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_mpeg.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_mpeg_block.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_mpeg_ts.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_mpeg_elem.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_ogg.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_fli.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_mng.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_pva.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_qt.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_rawdv.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_sputext.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_games.*
%ifarch %ix86
%_libdir/xine/plugins/%libversion/xineplug_decode_qt.*
%_libdir/xine/plugins/%libversion/xineplug_decode_w32dll.*
%endif
%if %DISTRIBUTABLE
%else
#%files patented
#
# I am not sure about these plugins, they need to be checked
#
# Closed Captioning Decoder (EIA-608). Patented ???
%_libdir/xine/plugins/%libversion/xineplug_decode_spucc.*
%_libdir/xine/plugins/%libversion/xineplug_decode_spu.*
%_libdir/xine/plugins/%libversion/xineplug_decode_sputext.*
# MS Video-1. Used in AVI and ASF. avi is okay, asf is not and this is ???
%_libdir/xine/plugins/%libversion/xineplug_decode_msvc.*
# NES Music File Format. free ??
%_libdir/xine/plugins/%libversion/xineplug_decode_nsf.*
# Wing Commander III format. free ??
%_libdir/xine/plugins/%libversion/xineplug_decode_interplayaudio.*
%_libdir/xine/plugins/%libversion/xineplug_decode_interplayvideo.*
%_libdir/xine/plugins/%libversion/xineplug_decode_wc3video.*
#
# I have been told this is maybe legal as long it is not labeled as XX-Y
#
%_libdir/xine/plugins/%libversion/xineplug_decode_a52.*
#
# needs dha ...
#
%_libdir/xine/plugins/%libversion/xineplug_vo_out_vidix.*
#
# Philips is claiming intellectual property on GSM 06.10
#
%_libdir/xine/plugins/%libversion/xineplug_decode_gsm610.*
#
# these plugins do have legal problems for sure
#
%_libdir/xine/plugins/%libversion/xineplug_decode_svq1.*
%_libdir/xine/plugins/%libversion/xineplug_decode_faad.*
%_libdir/xine/plugins/%libversion/xineplug_decode_ff.*
%_libdir/xine/plugins/%libversion/xineplug_dmx_asf.*
%_libdir/xine/plugins/%libversion/xineplug_inp_mms.*
%endif
#
# we do not want the depending stuff installed by default
#

%files extra
%if %suse_version > 810
/usr/bin/aaxine
%endif
/usr/share/xine/skins/CelomaChrome
/usr/share/xine/skins/cloudy
/usr/share/xine/visuals/default.avi
%_libdir/xine/plugins/%libversion/xineplug_ao_out_esd.*
%if %suse_version > 810
%_libdir/xine/plugins/%libversion/xineplug_vo_out_aa.*
%endif
%_libdir/xine/plugins/%libversion/xineplug_inp_gnome_vfs.*
%_libdir/xine/plugins/%libversion/xineplug_flac.*
%_libdir/xine/plugins/%libversion/xineplug_vo_out_sdl.*

%files devel
/usr/bin/xine-bugreport
/usr/bin/xine-config
%_libdir/pkgconfig/libxine.pc
%_libdir/libxine.la
%_libdir/libxine.so
/usr/share/aclocal/xine.m4

%_defaultdocdir/xitk
/usr/include/xine
/usr/include/xine.h

%changelog -n xine
* Wed Jan 05 2005 - adrian@suse.de
- fixing a buffer overflow in AIFF reader (#49324, XSA-2004-7)
- fixing heap overflows in PNM and Real RTS parser (#49513, XSA-2004-6)
* Wed Oct 27 2004 - adrian@suse.de
- fix spu.c buffer overflow (dvd sub titles). XSA-2004-5 (#45618)
* Mon Apr 26 2004 - adrian@suse.de
- fix security issues (#39229)
  * By opening a malicious playlist in the xine-ui media player, an
  attacker can write arbitrary content to an arbitrary file
* Wed Mar 12 2003 - adrian@suse.de
- use cripple warning in default video
* Mon Feb 24 2003 - schwab@suse.de
- Fix broken configure check.
* Mon Feb 17 2003 - adrian@suse.de
- update legal comment according gsm 06.10
* Fri Feb 14 2003 - adrian@suse.de
- add README.SuSE, written by Stanislav
* Wed Feb 12 2003 - adrian@suse.de
- fix build for 8.1
* Thu Feb 06 2003 - adrian@suse.de
- faad implementation is okay, but there are maybe other copyrights
-> disabled
* Tue Feb 04 2003 - adrian@suse.de
- update xine-lib to 1-beta4
- enable aalib support
- reorganize subpackages
  * xine-extra for Gnome2 plugins
  * xine-devel
- install .desktop file in KDE Multimedia menu
- install fonts, they are xine own property and freeware
* Sun Feb 02 2003 - adrian@suse.de
- update xine-lib to version 1 beta3
- update xine-ui to version 0.9.18
- review all codecs for legal problems, still unsure on some,
  which remain disabled
* Tue Jun 11 2002 - ro@suse.de
- added slang to neededforbuild (for aalib)
- fix build for lib64 running full auto-tools
* Tue Apr 16 2002 - mmj@suse.de
- Turn /usr/share/man into %%docdir -> fix aaa_dir clash
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Dec 11 2001 - ro@suse.de
- move dvd plugins to subpackage again
* Tue Nov 20 2001 - ro@suse.de
- fix neededforbuild: xf86
* Tue Nov 20 2001 - ro@suse.de
- added ogg-vorbis, esound. kdelibs-artsd to neededforbuild
* Tue Nov 20 2001 - ro@suse.de
- no-fpic made it segfault on x86: force it to on
- disabled cpu-acceleration to make it compile with -fPIC
- update to 0.9.4
* Sat Nov 03 2001 - stepan@suse.de
- update to 0.9.3. got rid of patches as they are included now.
* Thu Sep 27 2001 - stepan@suse.de
- update to 0.9.1 (thanks to bjacke@suse.de)
- autoconf/gcc/libtool fixes. works on ia64 and s390 now.
* Tue Jun 05 2001 - kukuk@suse.de
- Remove nox86 patch, not necessary and does not apply
* Tue May 22 2001 - wimer@suse.de
- updated to version 0.4.3
- changed SuSE series to gra again (change vanished)
* Wed May 09 2001 - wimer@suse.de
- updated to version 0.4.2 (stability fixes and works on ppc now)
- changed SuSE Series to gra instead of snd.
* Sat Apr 07 2001 - bjacke@suse.de
- make xine look for win32 codecs
- move doc to correct place
- some spec file fixes
* Mon Mar 12 2001 - wimer@suse.de
- initial version: 0.4.01
